# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%if "%{?rhel}" == "6"
%bcond_without repolib
%else
%bcond_with repolib
%endif

%global qualifier .SP1
%global reltag %{?qualifier}_redhat_1
%global namedreltag %{?qualifier}-redhat-1
%global namedversion %{version}%{?namedreltag}

%global repodir %{_javadir}/repository.jboss.com/org/hibernate/%{namedversion}-brew
%global repodirlib %{repodir}/lib
%global repodirsrc %{repodir}/src

Name:           hibernate4
Version:        4.2.0
Release:        11%{?reltag}%{?dist}
Epoch:          0
Summary:        Relational persistence and query service
License:        LGPLv2+
Group:          Development/Java
URL:            http://www.hibernate.org/
%if 0
/bin/rm -rf hibernate-orm-4.2.0.SP1-redhat-1.tar.bz2 hibernate-core/ .gitignore
/usr/bin/git clone -q -n git://git.app.eng.bos.redhat.com/hibernate/hibernate-core.git
cd hibernate-core/
/usr/bin/git archive --prefix=hibernate-orm-4.2.0.SP1-redhat-1/ 4.2.0.SP1-redhat-1 | /usr/bin/bzip2 -9 > ../hibernate-orm-4.2.0.SP1-redhat-1.tar.bz2
cd ../
/usr/bin/rhpkg new-sources hibernate-orm-4.2.0.SP1-redhat-1.tar.bz2
/usr/bin/rhpkg prep
%endif
Source0:        hibernate-orm-4.2.0.SP1-redhat-1.tar.bz2
Source1:        libraries.gradle
Patch0:         prod.patch
BuildRequires:  gradle
BuildArch:      noarch
BuildRoot:      %{_tmppath}/hibernate-orm-%{namedversion}-%{release}-root

%description
Hibernate is a powerful, ultra-high performance 
object/relational persistence and query service 
for Java. Hibernate lets you develop persistent 
objects following common Java idiom - including 
association, inheritance, polymorphism, composition 
and the Java collections framework. Extremely 
fine-grained, richly typed object models are 
possible. The Hibernate Query Language, designed 
as a "minimal" object-oriented extension to SQL, 
provides an elegant bridge between the object and 
relational worlds. Hibernate is now the most 
popular ORM solution for Java.

%package core
Summary:        Hibernate Core
Group:          Development/Java
Provides:       hibernate-core = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging >= 0:3.1.2
BuildRequires:  jboss-logging >= 0:3.1.2
#Requires:       javassist >= 0:3.15.0
BuildRequires:  javassist >= 0:3.15.0
#Requires:       antlr >= 0:2.7.7
BuildRequires:  antlr >= 0:2.7.7
Requires:       jboss-transaction-api_1.1_spec >= 0:1.0.1
BuildRequires:  jboss-transaction-api_1.1_spec >= 0:1.0.1
Requires:       dom4j >= 0:1.6.1
BuildRequires:  dom4j >= 0:1.6.1
#Requires:       xml-commons-resolver >= 0:1.2
BuildRequires:  xml-commons-resolver >= 0:1.2
Requires:       hibernate-jpa-2.0-api >= 0:1.0.1
BuildRequires:  hibernate-jpa-2.0-api >= 0:1.0.1
Requires:       hibernate3-commons-annotations >= 0:4.0.1
BuildRequires:  hibernate3-commons-annotations >= 0:4.0.1
#
BuildRequires:  jandex >= 0:1.0.3
BuildRequires:  java-classmate >= 0::0.5.4
BuildRequires:  jboss-jacc-api_1.4_spec >= 0:1.0.2
# FIXME: artifactId validation-api does not match package name
BuildRequires:  hibernate-beanvalidation-api >= 0:1.0.0
BuildRequires:  jaxb-xjc >= 0:2.2
# FIXME: jaxb2-commons-basics should be split up
BuildRequires:  jaxb2-commons-basics >= 0:0.6.2
BuildRequires:  jaxb-impl >= 0:2.2.5
# FIXME: codemodel should be split up
BuildRequires:  codemodel >= 0:2.6
BuildRequires:  istack-commons-tools >= 0:2.6.1
BuildRequires:  istack-commons-buildtools >= 0:2.6.1
BuildRequires:  istack-commons-runtime >= 0:2.6.1
BuildRequires:  rngom >= 0:201103
BuildRequires:  xsom >= 0:20110809
BuildRequires:  jing >= 0:20030619
BuildRequires:  dtd-parser >= 0:1.2
BuildRequires:  relaxngcc >= 0:1.12
BuildRequires:  relaxngDatatype >= 0:2011.1
BuildRequires:  txw2 >= 0::20110809
BuildRequires:  txwc2 >= 0::20110809
# FIXME: should be named: jboss-logging-processor
BuildRequires:  jboss-logging-tools >= 0:1.1.0
BuildRequires:  jdeparser >= 0:1.0.0

%description core
Hibernate Core module.

%package c3p0
Summary:        Hibernate C3p0
Group:          Development/Java
Provides:       hibernate-c3p0 = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging >= 0:3.1.2
BuildRequires:  jboss-logging >= 0:3.1.2
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
#Requires:       xml-commons-resolver >= 0:1.2
BuildRequires:  xml-commons-resolver >= 0:1.2
Requires:       c3p0 >= 0:0.9.1.2
BuildRequires:  c3p0 >= 0:0.9.1.2
# FIXME: not sure that this is necessary if prod.patch is fixed
BuildRequires:  wagon-file >= 0:2.4
BuildRequires:  wagon-http >= 0:2.4

%description c3p0
Hibernate C3p0 module.

%package entitymanager
Summary:        Hibernate EntityManager
Group:          Development/Java
Provides:       hibernate-entitymanager = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging >= 0:3.1.2
BuildRequires:  jboss-logging >= 0:3.1.2
#Requires:       javassist >= 0:3.15.0
BuildRequires:  javassist >= 0:3.15.0
Requires:       jboss-transaction-api_1.1_spec >= 0:1.0.1
BuildRequires:  jboss-transaction-api_1.1_spec >= 0:1.0.1
Requires:       dom4j >= 0:1.6.1
BuildRequires:  dom4j >= 0:1.6.1
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
#Requires:       xml-commons-resolver >= 0:1.2
BuildRequires:  xml-commons-resolver >= 0:1.2
Requires:       hibernate-jpa-2.0-api >= 0:1.0.1
BuildRequires:  hibernate-jpa-2.0-api >= 0:1.0.1
Requires:       hibernate3-commons-annotations >= 0:4.0.1
BuildRequires:  hibernate3-commons-annotations >= 0:4.0.1

%description entitymanager
Hibernate EntityManager module.

%package envers
Summary:        Hibernate Envers
Group:          Development/Java
Provides:       hibernate-envers = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging >= 0:3.1.2
BuildRequires:  jboss-logging >= 0:3.1.2
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
#Requires:       xml-commons-resolver >= 0:1.2
BuildRequires:  xml-commons-resolver >= 0:1.2
Requires:       %{name}-entitymanager = %{epoch}:%{version}-%{release}

%description envers
Hibernate Envers module.

%package infinispan
Summary:        Hibernate Infinispan
Group:          Development/Java
Provides:       hibernate-infinispan = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging >= 0:3.1.2
BuildRequires:  jboss-logging >= 0:3.1.2
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
BuildRequires:  rhq-pluginAnnotations >= 0:3.0.4
#Requires:       xml-commons-resolver >= 0:1.2
BuildRequires:  xml-commons-resolver >= 0:1.2
Requires:       infinispan-core >= 0:5.2.6
BuildRequires:  infinispan-core >= 0:5.2.6

%description infinispan
Hibernate Infinispan module.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Provides:       hibernate-javadoc = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java
Provides:       hibernate-repolib = %{epoch}:%{version}-%{release}

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package zip
Summary:        Zip distrubution for %{name}
Group:          Development/Java
Provides:       hibernate-zip = %{epoch}:%{version}-%{release}
BuildRequires:  zip

%description zip
Zip distribution for %{name}.

%prep
%setup -q -n hibernate-orm-%{namedversion}
%patch0 -p1 -b .0000~
# remove tests and unused modules
%{__rm} -r hibernate-core/src/test
%{__rm} -r hibernate-entitymanager/src/test
%{__rm} -r hibernate-infinispan/src/test
%{__rm} -r hibernate-c3p0/src/test
%{__rm} -r databases
%{__rm} -r documentation
%{__rm} -r hibernate-ehcache
%{__rm} -r hibernate-proxool
%{__rm} -r hibernate-testing
%{__rm} -r hibernate-osgi
%{__rm} changelog.txt
%{__rm} -r hibernate-envers/src/main/java/org/hibernate/tool/ant
%{__rm} -r hibernate-envers/src/main/java/org/hibernate/envers/ant
%{__cp} -p %{SOURCE1} .

%build
export LC_ALL=en_US.UTF-8
export GRADLE_USER_HOME=${PWD}/.gradle
export GROOVY_HOME=%{_javadir}
export _OPTS="--info --stacktrace -Djava.endorsed.dirs=${GRADLE_USER_HOME}/endorsed"
export JAVA_OPTS="-Xms512M -Xmx1024M -XX:MaxPermSize=512M -Djava.awt.headless=true"
export LOCAL_REPO=${PWD}/local
%{__mkdir_p} ${GRADLE_USER_HOME}/endorsed
%{__ln_s} `%{_bindir}/build-classpath jboss-jaxb-api_2.2_spec` ${GRADLE_USER_HOME}/endorsed/jaxb-api.jar
%{__rm} -rf ${LOCAL_REPO}
%{__mkdir_p} ${LOCAL_REPO}
%{__sed} -i "s|REPOSITORY_PLACE_HOLDER|${PWD}/maven2-brew|g" build.gradle
%{_bindir}/gradle ${_OPTS} clean install :release:buildReleaseBundles uploadArchives

%install
%{__rm} -rf %{buildroot}


# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p maven2-brew/org/hibernate/hibernate-core/%{namedversion}/hibernate-core-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-core-%{namedversion}.jar
%{__cp} -p maven2-brew/org/hibernate/hibernate-core/%{namedversion}/hibernate-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-core-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/hibernate/hibernate-c3p0/%{namedversion}/hibernate-c3p0-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-c3p0-%{namedversion}.jar
%{__cp} -p maven2-brew/org/hibernate/hibernate-c3p0/%{namedversion}/hibernate-c3p0-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-c3p0-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/hibernate/hibernate-entitymanager/%{namedversion}/hibernate-entitymanager-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-entitymanager-%{namedversion}.jar
%{__cp} -p maven2-brew/org/hibernate/hibernate-entitymanager/%{namedversion}/hibernate-entitymanager-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-entitymanager-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/hibernate/hibernate-envers/%{namedversion}/hibernate-envers-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-envers-%{namedversion}.jar
%{__cp} -p maven2-brew/org/hibernate/hibernate-envers/%{namedversion}/hibernate-envers-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-envers-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/hibernate/hibernate-infinispan/%{namedversion}/hibernate-infinispan-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-infinispan-%{namedversion}.jar
%{__cp} -p maven2-brew/org/hibernate/hibernate-infinispan/%{namedversion}/hibernate-infinispan-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-infinispan-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g;" -e "s|hibernate-|%{name}-|g;"`; done)
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ../${jar} %{name}/${jar}; done)
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p maven2-brew/org/hibernate/hibernate-core/%{namedversion}/hibernate-core-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-core.pom
%{__cp} -p maven2-brew/org/hibernate/hibernate-c3p0/%{namedversion}/hibernate-c3p0-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-c3p0.pom
%{__cp} -p maven2-brew/org/hibernate/hibernate-entitymanager/%{namedversion}/hibernate-entitymanager-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-entitymanager.pom
%{__cp} -p maven2-brew/org/hibernate/hibernate-envers/%{namedversion}/hibernate-envers-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-envers.pom
%{__cp} -p maven2-brew/org/hibernate/hibernate-infinispan/%{namedversion}/hibernate-infinispan-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-infinispan.pom

# pom
%add_to_maven_depmap org.hibernate hibernate-core %{namedversion} JPP/%{name} hibernate-core
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-core
%add_to_maven_depmap org.hibernate hibernate-c3p0 %{namedversion} JPP/%{name} hibernate-c3p0
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-c3p0
%add_to_maven_depmap org.hibernate hibernate-entitymanager %{namedversion} JPP/%{name} hibernate-entitymanager
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-entitymanager
%add_to_maven_depmap org.hibernate hibernate-envers %{namedversion} JPP/%{name} hibernate-envers
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-envers
%add_to_maven_depmap org.hibernate hibernate-infinispan %{namedversion} JPP/%{name} hibernate-infinispan
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-infinispan

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/hibernate-%{namedversion}
%{__cp} -pr release/target/documentation/javadocs/* %{buildroot}%{_javadocdir}/hibernate-%{namedversion}
%{__ln_s} hibernate-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

# etc
%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}
%{__cp} -p etc/* %{buildroot}%{_sysconfdir}/%{name}

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
#
%{__mkdir_p} %{buildroot}%{repodir}
%{__mkdir_p} %{buildroot}%{repodirlib}
%{__mkdir_p} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE0} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE1} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH0} %{buildroot}%{repodirsrc}
(cd %{buildroot}%{_javadir}  && for jar in *-%{namedversion}*.jar; do cp -p ${jar} %{buildroot}%{repodirlib}/`/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g;"`; done)
(cd %{buildroot}%{_mavenpomdir} && for pom in JPP.%{name}-*.pom; do cp -p ${pom} %{buildroot}%{repodirlib}/`/bin/echo ${pom} | %{__sed} -e "s|JPP\.%{name}-||g;"`; done)
#
# we do not want hibernate-c3p0 be added into repo lib rpm (nor deploy into mead repo)
# since this is only for EWS, not EAP.
%{__rm} -r %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew/org/hibernate/hibernate-c3p0
%{__rm} -r %{buildroot}%{repodirlib}/hibernate-c3p0*
%endif

# dist
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}-fordev
%{__cp} release/target/hibernate-release-%{namedversion}.zip %{buildroot}%{_javadir}/%{name}-fordev/hibernate-dist-%{namedversion}.zip
%{_bindir}/zip %{buildroot}%{_javadir}/%{name}-fordev/hibernate-dist-%{namedversion}.zip -d hibernate-release-%{namedversion}/lib/optional/infinispan/\*

%clean
%{__rm} -rf %{buildroot}

%post core
%update_maven_depmap

%postun core
%update_maven_depmap

%post c3p0
%update_maven_depmap

%postun c3p0
%update_maven_depmap

%post entitymanager
%update_maven_depmap

%postun entitymanager
%update_maven_depmap

%post envers
%update_maven_depmap

%postun envers
%update_maven_depmap

%post infinispan
%update_maven_depmap

%postun infinispan
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/ehcache.xml
%config(noreplace) %{_sysconfdir}/%{name}/hibernate-service.xml
%config(noreplace) %{_sysconfdir}/%{name}/hibernate.cfg.xml
%config(noreplace) %{_sysconfdir}/%{name}/hibernate.properties
%config(noreplace) %{_sysconfdir}/%{name}/hibernate.properties.template
%config(noreplace) %{_sysconfdir}/%{name}/log4j.properties

%files core
%defattr(0644,root,root,0755)
%doc lgpl.txt README.md
%{_javadir}/%{name}/hibernate-core-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-core.jar
%{_javadir}/%{name}/hibernate-core-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-core-sources.jar
%{_javadir}/hibernate-core-%{namedversion}.jar
%{_javadir}/%{name}-core.jar
%{_javadir}/hibernate-core-%{namedversion}-sources.jar
%{_javadir}/%{name}-core-sources.jar
%{_mavenpomdir}/JPP.%{name}-hibernate-core.pom
%{_mavendepmapfragdir}/%{name}.hibernate-core

%files c3p0
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-c3p0.jar
%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-c3p0-sources.jar
%{_javadir}/hibernate-c3p0-%{namedversion}.jar
%{_javadir}/%{name}-c3p0.jar
%{_javadir}/hibernate-c3p0-%{namedversion}-sources.jar
%{_javadir}/%{name}-c3p0-sources.jar
%{_mavenpomdir}/JPP.%{name}-hibernate-c3p0.pom
%{_mavendepmapfragdir}/%{name}.hibernate-c3p0

%files entitymanager
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-entitymanager.jar
%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-entitymanager-sources.jar
%{_javadir}/hibernate-entitymanager-%{namedversion}.jar
%{_javadir}/%{name}-entitymanager.jar
%{_javadir}/hibernate-entitymanager-%{namedversion}-sources.jar
%{_javadir}/%{name}-entitymanager-sources.jar
%{_mavenpomdir}/JPP.%{name}-hibernate-entitymanager.pom
%{_mavendepmapfragdir}/%{name}.hibernate-entitymanager

%files envers
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-envers-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-envers.jar
%{_javadir}/%{name}/hibernate-envers-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-envers-sources.jar
%{_javadir}/hibernate-envers-%{namedversion}.jar
%{_javadir}/%{name}-envers.jar
%{_javadir}/hibernate-envers-%{namedversion}-sources.jar
%{_javadir}/%{name}-envers-sources.jar
%{_mavenpomdir}/JPP.%{name}-hibernate-envers.pom
%{_mavendepmapfragdir}/%{name}.hibernate-envers

%files infinispan
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-infinispan.jar
%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-infinispan-sources.jar
%{_javadir}/hibernate-infinispan-%{namedversion}.jar
%{_javadir}/%{name}-infinispan.jar
%{_javadir}/hibernate-infinispan-%{namedversion}-sources.jar
%{_javadir}/%{name}-infinispan-sources.jar
%{_mavenpomdir}/JPP.%{name}-hibernate-infinispan.pom
%{_mavendepmapfragdir}/%{name}.hibernate-infinispan

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/hibernate-%{namedversion}
%{_javadocdir}/%{name}

%files zip
%defattr(0644,root,root,0755)
%dir %{_javadir}
%dir %{_javadir}/%{name}-fordev
%{_javadir}/%{name}-fordev/hibernate-dist-%{namedversion}.zip

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/repository.jboss.com
%endif

%changelog
* Thu Jul 25 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-11
- disable some of the proper Requires, for EAP 6

* Thu Jul 25 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-10
- replace xml-resolver by xml-commons-resolver, for EAP 6
- remove Requires: rhq-pluginAnnotations
- update Group

* Thu Jul 25 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-9
- replace xml-resolver by xml-commons-resolver for EAP 6

* Wed Jul 24 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-8
- fix source tarball
- fix maven support
- copy versioned files to %%{_javadir}
- simplify dist zip file modification
- fix (Build)Requires
- install javadoc to versioned javadoc dir
- fix repository definitions during build
- remove online javadoc links option since we build offline
- add Provides for real jar names

* Mon Jul 08 2013 David Stahl <dstahl@redhat.com> 0:4.2.0-7
- Update infinspan version

* Mon Jul 08 2013 David Stahl <dstahl@redhat.com> 0:4.2.0-6
- Upgrade to 4.2.0.SP1-redhat-1

* Mon Jul 01 2013 David Stahl <dstahl@redhat.com> 0:4.2.0-5
- link javadoc directory
- Update dom4j version

* Mon Apr 15 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-4
- restore BuildRequires: xml-resolver
- version Requires
- use %%{_mavenpomdir} macro

* Mon Mar 18 2013 Dave Stahl <dstahl@redhat.com> 0:4.2.0-3.Final
- Updated build sequence

* Fri Mar 15 2013 Dave Stahl <dstahl@redhat.com> 0:4.2.0-2.Final
- Upgrade to 4.2.0-2.Final-redhat-1

* Fri Mar 15 2013 Dave Stahl <dstahl@redhat.com> 0:4.2.0-1.Final
- Upgrade to 4.2.0.Final-redhat-1

* Mon Mar 04 2013 Strong Liu <stliu@redhat.com> 0:4.2.0-1.CR2
- Upgrade to 4.2.0.CR2-redhat-1

* Sun Feb 17 2013 Strong Liu <stliu@redhat.com> 0:4.2.0-1.CR1
- Upgrade to 4.2.0.CR1-redhat-1

* Tue Jan 22 2013 David Walluck <dwalluck@redhat.com> 0:4.1.9-8
- add BuildRequires: xml-resolver
- set LC_ALL to en_US.UTF-8

* Wed Jan 09 2013 Strong Liu <stliu@redhat.com> 0:4.1.9-1.Final
- Upgrade to 4.1.9.Final-redhat-1

* Sat Oct 20 2012 Strong Liu <stliu@redhat.com> 0:4.1.6-7.Final
- Rollback changes David made, these are not supposed to go into EAP 6.0.1
- Fix dom4j version issue (JBPAPP-10237)

* Thu Sep 13 2012 Paul Gier <pgier@redhat.com> 0:4.1.6-3.5.Final
- Update pom patch to -redhat-2 to avoid Maven repo conflict with previous build

* Wed Sep 12 2012 Strong Liu <stliu@redhat.com> 0:4.1.6-3.4.Final
- Apply patch for issue JBPAPP-9859

* Wed Sep 05 2012 Strong Liu <stliu@redhat.com> 0:4.1.6-3.2.Final
- change release tag from .Final to .Final_redhat_1
- change javasist version to 3.15.0-GA-redhat-2

* Wed Sep 05 2012 Strong Liu <stliu@redhat.com> 0:4.1.6-3.1.Final
- change rhq version from -redhat-1 to -redhat-2

* Tue Sep 04 2012 David Walluck <dwalluck@redhat.com> 0:4.1.6-3.Final
- rebuild with new gradle build
- fix bad dir ownership in repolib and zip packages
- fix repolib option
- fix some macros
- remove jpackage-utils version requirement
- update License

* Wed Aug 22 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:4.1.6-2.10.Final.4
- Fix suffix back to -1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.1.6-2.10.Final.3
- Rebuild unsigned

* Fri Aug 08 2012 Strong Liu <stliu@redhat.com> - 0:4.1.5-2.10.Final.2
- Upgrade to 4.1.6.Final

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.1.3-2.9.Final.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.1.3-2.9.Final.1
- Rebuild using cache signing

* Tue Jun 26 2012 Strong Liu <stliu@redhat.com> 4.1.3-2.9.Final
- Change to R antlr-eap6, javassist-eap6
- Remove hibernate-infinispan from zip 

* Thu May 25 2012 Strong Liu <stliu@redhat.com> 4.1.3-2.8.Final
- Add patch to fix JBPAPP-9142

* Thu May 24 2012 Strong Liu <stliu@redhat.com> 4.1.3-2.7.Final
- Upgrade to jboss-logging 3.1.1.Final in libraries.gradle

* Mon May 07 2012 Strong Liu <stliu@redhat.com> 4.1.3-2.6.Final
- Upgrade to 4.1.3.Final-redhat-1

* Mon Apr 23 2012 Strong Liu <stliu@redhat.com> 4.1.3-2.5.ER1
- Upgrade to 4.1.3.ER1-redhat-1

* Thu Apr 05 2012 Strong Liu <stliu@redhat.com> 4.1.2-2.4.Final
- Upgrade to 4.1.2.Final-redhat-1

* Tue Mar 27 2012 Strong Liu <stliu@redhat.com> 4.1.1-2.3.Final
- Upgrade to 4.1.1.Final-redhat-1

* Tue Mar 20 2012 Strong Liu <stliu@redhat.com> 4.0.3-2.2.Final
- Upgrade to 4.0.3.Final-redhat-1

* Mon Mar 07 2012 Strong Liu <stliu@redhat.com> 4.0.2-2.1.Final
- Apply patch to include HHH-6100 and HHH-5927

* Mon Mar 05 2012 Strong Liu <stliu@redhat.com> 4.0.2-2.0.Final
- Upgrade to 4.0.2

* Wed Feb 08 2012 Strong Liu <stliu@redhat.com> 4.0.1-1.9.Final
- Upgrade to 4.0.1

* Tue Dec 27 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.8.Final
- Make com.fasterxml:classmate dependency provided scope

* Mon Dec 26 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.7.Final
- Upgrade javassist dependey to 3.15.0-GA

* Mon Dec 19 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.6.Final
- Upgrade to 4.0.0.Final

* Fri Dec 16 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.5.CP07
- Rebuild to change javassist groupId to org.javassist

* Wed Dec 07 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.4.CP07
- Upgrade to 4.0.0.CP07

* Mon Nov 21 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.3.CP06
- Split hibernate artifacts into sub-package
- Note : hibernate-c3p0 is not included in the -repolib rpm, so this is not deploied into the MEAD repo
- but hibernate-c3p0 is in the -zip rpm

* Thu Nov 17 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.2.CP06
- Upgrade to 4.0.0.CP06
- Add hibernate-c3p0 package

* Sun Oct 30 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.1.CP05
- Upgrade to use jboss logging tool 1.0.0.CR1

* Sat May 07 2011 Strong Liu <stliu@redhat.com> 3.3.2-1.8.GA_CP04
- Rebuild



